#Publican Documentation Specfile
%define RHEL5 %(test %{?dist} == .el5 && echo 1 || echo 0)
%define HTMLVIEW %(test %{RHEL5} == 1 && echo 1 || echo 0)

%define ICONS 0

%define viewer xdg-open

%if %{HTMLVIEW}
%define viewer htmlview
%define vendor redhat-
%define vendoropt --vendor="redhat"
%endif

Name:         Red_Hat_Enterprise_Linux-Release_Notes-6-ru-RU
Version:      3
Release:      2%{?dist}

Summary:      Russian translation of Release_Notes
Summary(ru-RU):    Примечания к выпуску Red Hat Enterprise Linux 6.3


Group:         Documentation
License:       CC-BY-SA
URL:           http://docs.redhat.com
Source:        %{name}-%{version}-2.tgz
BuildArch:      noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: publican >= 2.0
BuildRequires: desktop-file-utils
BuildRequires:    publican-redhat

%if %{HTMLVIEW}
Requires:    htmlview
%else
Requires:    xdg-utils
%endif



%description
Russian translation of Release_Notes

%description -l ru-RU
Примечания предоставляют общую информацию о дополнениях и
изменениях Red Hat Enterprise Linux 6.3. Подробное описание можно
найти в технических примечаниях.

%prep
%setup -q

%build
publican build --nocolours --formats="html-desktop" --langs=ru-RU

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps

%if %{ICONS}
for icon in `ls ru-RU/icons/*x*.png`; do
  size=`echo "$icon" | sed -e 's/.*icons\/\(.*\)\.png/\1/'`;
  mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/$size/apps
  cp $icon  $RPM_BUILD_ROOT/usr/share/icons/hicolor/$size/apps/Red_Hat_Enterprise_Linux-Release_Notes-6-ru-RU.png;
done
cp ru-RU/icons/icon.svg  $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps/Red_Hat_Enterprise_Linux-Release_Notes-6-ru-RU.svg;
%else
cp ru-RU/images/icon.svg  $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps/Red_Hat_Enterprise_Linux-Release_Notes-6-ru-RU.svg;
%endif

cat > %{name}.desktop <<'EOF'
[Desktop Entry]
Name=Red Hat Enterprise Linux 6: Release Notes
Comment=Примечания к выпуску Red Hat Enterprise Linux 6.3
Exec=%{viewer} %{_docdir}/%{name}-%{version}/index.html
Icon=Red_Hat_Enterprise_Linux-Release_Notes-6-ru-RU
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

%if %{HTMLVIEW}
desktop-file-install  %{?vendoropt} --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{name}.desktop
%else
desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{name}.desktop
%endif

# Update Icon cache if it exists
%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc tmp/ru-RU/html-desktop/*
%if %{ICONS}
/usr/share/icons/hicolor/*
%else
/usr/share/icons/hicolor/scalable/apps/Red_Hat_Enterprise_Linux-Release_Notes-6-ru-RU.svg
%endif
%if %{HTMLVIEW}
%{_datadir}/applications/%{?vendor}%{name}.desktop
%else
%{_datadir}/applications/%{name}.desktop
%endif

%changelog
* Wed Jun 20 2012 Martin Prpič <mprpic@redhat.com> - 1-0
- Release of the Red Hat Enterprise Linux 6.3 Release Notes. 

* Tue Apr 24 2012 Martin Prpič <mprpic@redhat.com> - 0-0
- Release of the Red Hat Enterprise Linux 6.3 Beta Release Notes. 



